;;--------------------------------------------------------------------------------
;;
;; farbrausch V2
;;
;; This is the header file for using libv2. This header file is in the public
;; domain, use and abuse it as you wish (and if it's a port to other compilers
;; than VC++, feel free to send it back ;)
;;
;; Tammo "kb" Hinrichs, Dec. 2004
;;
;;--------------------------------------------------------------------------------

ifndef LIBV2_H_
LIBV2_H_ EQU <>
	;; init sound system
	;; data: pointer to V2M file
	;; hWnd: your window handle
  ssInit proto stdcall data:ptr byte, hWnd:ptr DWORD;

	;; close sound system
  ssClose proto stdcall ;

	;; start playing (from song start)
	ssPlay proto stdcall ;

	;; stop playing
	ssStop proto stdcall ;

	;; get the current timer value in milliseconds (will be reset when starting)
	;; NOTE: The timer value is synchronized with the sound
	;;			 output and will thus start at a negative value
	;;       while the sound system fills up the first buffer!
	ssGetTime proto stdcall ; returns long


	;; Does a fade-out of the music within "time" milliseconds.
	;; NOTE: Due to sound card latency, the fade will start
	;;       some msecs later than you called this function, so
	;;       make sure you wait a certain amount of time to
	;;       not interrupt a running fade... or so...
	ssFadeOut proto stdcall time:DWORD;

  ;; make the sound system render the next block
  ;; put this in your frame loop
	;; NOTE: The sound output normally runs in its own background
	;;       thread which gets called often enough to keep the
	;;       music running without any glitch, so omitting this
	;;       call won't do any harm. BUT: if you have video output
	;;       this can seriously hurt your frame rate as the sound
	;;       thread takes CPU time whenever it finds it necessary
	;;       (and will probably make eg. Direct3D miss that VSync
	;;       it would have made otherwise).
	;;       If you put this call into your per-frame loop, you
	;;       guarantee that audio rendering will be in-sync with
	;;       your video rendering and your visuals will run smoothly.
  ssDoTick proto stdcall ;

endif
